## faultstat 0.01.02

=== Makefile ===
#
# Copyright (C) 2014-2019 Canonical, Ltd.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

VERSION=0.01.02
#

CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

#
# Pedantic flags
#
ifeq ($(PEDANTIC),1)
CFLAGS += -Wabi -Wcast-qual -Wfloat-equal -Wmissing-declarations \
	-Wmissing-format-attribute -Wno-long-long -Wpacked \
	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
	-Wno-missing-braces -Wno-sign-compare -Wno-multichar
endif

BINDIR=/usr/bin
MANDIR=/usr/share/man/man8

OBJS = faultstat.o 

faultstat: $(OBJS) Makefile
	$(CC) $(CFLAGS) $(OBJS) -lm -lncursesw -o $@ $(LDFLAGS)

faultstat.8.gz: faultstat.8
	gzip -c $< > $@

dist:
	rm -rf faultstat-$(VERSION)
	mkdir faultstat-$(VERSION)
	cp -rp Makefile faultstat.c faultstat.8 COPYING faultstat.spec \
		snapcraft.yaml .travis.yml faultstat-$(VERSION)
	tar -Jcf faultstat-$(VERSION).tar.xz faultstat-$(VERSION)
	rm -rf faultstat-$(VERSION)

clean:
	rm -f faultstat faultstat.o faultstat.8.gz
	rm -f faultstat-$(VERSION).tar.xz
	rm -f $(OBJS)

install: faultstat faultstat.8.gz
	mkdir -p ${DESTDIR}${BINDIR}
	cp faultstat ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${MANDIR}
	cp faultstat.8.gz ${DESTDIR}${MANDIR}

=== debian/changelog ===
faultstat (0.01.02-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian: update compat level to 12
  * Makefile: add faultstat.spec to make dist rule
  * Don't prematurely abort if we can't access a reaped dead process
  * Add RHEL spec file
  * Use normal ^ and v for arrows rather than fancy unicode
  * snapcraft: add autoversioning

 -- Colin King <colin.king@canonical.com>  Wed, 14 Aug 2019 17:33:11 +0100

faultstat (0.01.01-1) unstable; urgency=medium

  * Initial release into Debian (Closes: #932744)
  * Makefile: bump version
  * Make -p more intellegent so we can compare names without the args
  * Fix memory leak when OPT_CMD_COMM is set and p->cmdline is already allocated
  * Remove some whitespace
  * Free new_fault_info and remove some dead code
  * Add travis file and update make dist rule

 -- Colin King <colin.king@canonical.com>  Mon, 22 Jul 2019 17:16:15 +0100

faultstat (0.01.00-1) unstable; urgency=medium

  * Initial release

 -- Colin King <colin.king@canonical.com>  Sat, 18 May 2019 11:51:12 +0100

## faultstat 0.01.03

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2019 Canonical, Ltd.
+# Copyright (C) 2014-2020 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.02
+VERSION=0.01.03
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
@@ -33,6 +33,7 @@
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man8
+BASHDIR=/usr/share/bash-completion/completions
 
 OBJS = faultstat.o 
 
@@ -46,7 +47,7 @@
 	rm -rf faultstat-$(VERSION)
 	mkdir faultstat-$(VERSION)
 	cp -rp Makefile faultstat.c faultstat.8 COPYING faultstat.spec \
-		snapcraft.yaml .travis.yml faultstat-$(VERSION)
+		snapcraft.yaml .travis.yml bash-completion faultstat-$(VERSION)
 	tar -Jcf faultstat-$(VERSION).tar.xz faultstat-$(VERSION)
 	rm -rf faultstat-$(VERSION)
 
@@ -60,3 +61,5 @@
 	cp faultstat ${DESTDIR}${BINDIR}
 	mkdir -p ${DESTDIR}${MANDIR}
 	cp faultstat.8.gz ${DESTDIR}${MANDIR}
+	mkdir -p ${DESTDIR}${BASHDIR}
+	cp bash-completion/faultstat ${DESTDIR}${BASHDIR}

=== debian/changelog ===
faultstat (0.01.03-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix formatting of "Total:" text based on the variable PID width
  * Add bash command line completion
  * Update copyright to 2020
  * faultstats.spec: Updated revision.
  * Update faultstat.spec

 -- Colin King <colin.king@canonical.com>  Wed, 26 Feb 2020 13:24:23 +0000

=== debian/control ===
Source: faultstat
Section: admin
Priority: optional
Maintainer: Colin King <colin.king@canonical.com>
Standards-Version: 4.1.2
Build-Depends: debhelper (>= 12), libncurses-dev, libncursesw5-dev
Homepage: http://kernel.ubuntu.com/~cking/faultstat

Package: faultstat
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: page fault monitoring tool
 Faultstat reports the page fault activity of processes
 running on a system. The tool supports a 'top' like mode
 to dynamically display the top page faulting processes.

## faultstat 0.01.04

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.03
+VERSION=0.01.04
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
faultstat (0.01.04-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: update compat to 13, remove compat file, add
    Rules-Requires-Root rule
  * zero ws struct to clear static analysis warnings

 -- Colin King <colin.king@canonical.com>  Sat, 4 Jul 2020 10:56:13 +0100

## faultstat 0.01.06

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2020 Canonical, Ltd.
+# Copyright (C) 2014-2021 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.04
+VERSION=0.01.06
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
faultstat (0.01.06-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix two memory leaks of new_fault_info on error handling
  * Update copyright to 2021

 -- Colin King <colin.king@canonical.com>  Fri, 19 Feb 2021 11:16:23 +0000

faultstat (0.01.05-1) unstable; urgency=medium

  * Makefile: bump version
  * faultstat: handle weird comm field in /proc/$PID/stat
  * snapcraft: replace version-script with an override

 -- Colin King <colin.king@canonical.com>  Sat, 7 Nov 2020 17:52:11 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: faultstat
+Rules-Requires-Root: no
 Section: admin
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 12), libncurses-dev, libncursesw5-dev
+Build-Depends: debhelper (>= 13),
+               debhelper-compat (=13),
+               libncurses-dev,
+               libncursesw5-dev
 Homepage: http://kernel.ubuntu.com/~cking/faultstat
 
 Package: faultstat

=== debian/watch ===
version=3
http://kernel.ubuntu.com/~cking/tarballs/faultstat/faultstat-(.+).tar.xz

## faultstat 0.01.07

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #
 # Copyright (C) 2014-2021 Canonical, Ltd.
+# Copyright (C) 2021 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.06
+VERSION=0.01.07
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
@@ -28,7 +29,7 @@
 CFLAGS += -Wabi -Wcast-qual -Wfloat-equal -Wmissing-declarations \
 	-Wmissing-format-attribute -Wno-long-long -Wpacked \
 	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
-	-Wno-missing-braces -Wno-sign-compare -Wno-multichar
+	-Wno-missing-braces -Wno-sign-compare -Wno-multichar -fanalyzer
 endif
 
 BINDIR=/usr/bin
@@ -47,7 +48,7 @@
 	rm -rf faultstat-$(VERSION)
 	mkdir faultstat-$(VERSION)
 	cp -rp Makefile faultstat.c faultstat.8 COPYING faultstat.spec \
-		snapcraft.yaml .travis.yml bash-completion faultstat-$(VERSION)
+		snapcraft.yaml .travis.yml bash-completion README.md faultstat-$(VERSION)
 	tar -Jcf faultstat-$(VERSION).tar.xz faultstat-$(VERSION)
 	rm -rf faultstat-$(VERSION)

=== debian/changelog ===
faultstat (0.01.07-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: add README.md to make dist rule
  * debian/watch: refresh to new tarball path on watch file
  * debian/copyright: add Colin Ian King details
  * Debian: update control file, new URL and maintainer info
  * Use "%s" format specifier for printw (Closes: #997155)
  * README.md: Add one more example
  * Add README.md

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 9 Nov 2021 18:06:12 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Rules-Requires-Root: no
 Section: admin
 Priority: optional
-Maintainer: Colin King <colin.king@canonical.com>
+Maintainer: Colin Ian King <colin.i.king@gmail.com>
 Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),
                libncurses-dev,
                libncursesw5-dev
-Homepage: http://kernel.ubuntu.com/~cking/faultstat
+Homepage: https://github.com/ColinIanKing/faultstat
 
 Package: faultstat
 Architecture: linux-any

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?V?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
             https://github.com/ColinIanKing/faultstat/tags \
             (?:.*?/)?V?(\d[\d.]*)\.tar\.gz debian uupdate

## faultstat 0.01.09

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Copyright (C) 2014-2021 Canonical, Ltd.
-# Copyright (C) 2021 Colin Ian King
+# Copyright (C) 2021-2023 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -17,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.07
+VERSION=0.01.09
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
faultstat (0.01.09-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: use standards version 4.6.2
  * debian/control: remove libncursesw5-dev
  * Update copyright year

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 7 Feb 2023 14:35:17 +0000

faultstat (0.01.08-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: update standands version
  * Debian/copyright: update year
  * Update copyright and email address
  * Fix spelling mistake in comment, upto -> up to
  * faultstat: remove redundant assignment to ptr

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 30 Nov 2022 15:27:28 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Section: admin
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.1.2
+Standards-Version: 4.6.2
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),
-               libncurses-dev,
-               libncursesw5-dev
+               libncurses-dev
 Homepage: https://github.com/ColinIanKing/faultstat
 
 Package: faultstat

## faultstat 0.01.10

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.09
+VERSION=0.01.10
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
faultstat (0.01.10-1) unstable; urgency=medium

  * Makefile: bump version
  * Make pointer arguments const in function compare
  * remove redundant end of string check
  * Make min pid digits the size of the "Total:" field to fix aligment

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 3 Jul 2023 14:46:42 +0000

## faultstat 0.01.11

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Copyright (C) 2014-2021 Canonical, Ltd.
-# Copyright (C) 2021-2023 Colin Ian King
+# Copyright (C) 2021-2024 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -17,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.10
+VERSION=0.01.11
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
@@ -48,7 +48,7 @@
 	rm -rf faultstat-$(VERSION)
 	mkdir faultstat-$(VERSION)
 	cp -rp Makefile faultstat.c faultstat.8 COPYING faultstat.spec \
-		snapcraft.yaml .travis.yml bash-completion README.md faultstat-$(VERSION)
+		.travis.yml bash-completion README.md faultstat-$(VERSION)
 	tar -Jcf faultstat-$(VERSION).tar.xz faultstat-$(VERSION)
 	rm -rf faultstat-$(VERSION)

=== debian/changelog ===
faultstat (0.01.11-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Dec 2025 20:16:52 +0000

faultstat (0.01.11-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/rules: add missing hardening settings
  * Update copyright year to 2024
  * Check for array bounds limit while parsing pid length string
  * Makefile: remove snapcraft.yaml from make dist rule
  * Remove snapcraft

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 12 Jan 2024 10:23:48 +0000
